summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-05-17 12:10:43 +0000
committerJim Meyering <jim@meyering.net>2004-05-17 12:10:43 +0000
commit58f134b649641a442a21f60a1c5889f4581240a5 (patch)
tree9ced7e2045dd0f1159b873e0b4a623e324a79fee /tests/chgrp
parenta432ab952a0199b90be84858b59b8f051f1b67b7 (diff)
downloadcoreutils-58f134b649641a442a21f60a1c5889f4581240a5.tar.xz
Use -h where necessary to retain semantics.
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/basic4
-rwxr-xr-xtests/chgrp/deref6
-rwxr-xr-xtests/chgrp/posix-H2
3 files changed, 6 insertions, 6 deletions
diff --git a/tests/chgrp/basic b/tests/chgrp/basic
index ee2f2b535..aaa0f9478 100755
--- a/tests/chgrp/basic
+++ b/tests/chgrp/basic
@@ -56,10 +56,10 @@ test "$VERBOSE" = yes && set +x
touch f
ln -s f symlink
chgrp $g1 f
- chgrp $g2 symlink 2> /dev/null
+ chgrp -h $g2 symlink 2> /dev/null
# This should not change the group of f.
- chgrp -c $g2 symlink 2> /dev/null
+ chgrp -h -c $g2 symlink 2> /dev/null
chgrp -c $g2 f
# This *should* change the group of f.
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index afe7b465a..2b947ae14 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -29,7 +29,7 @@ g2=$2
touch f
ln -s f symlink
-chgrp $g2 symlink 2> /dev/null
+chgrp -h $g2 symlink 2> /dev/null
set _ `ls -l symlink`
g=$5
test "$g" = $g2 || {
@@ -45,12 +45,12 @@ fail=0
chgrp $g1 f
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
-chgrp $g2 symlink || fail=1
+chgrp -h $g2 symlink || fail=1
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
# This should not change the group of f.
-chgrp $g2 symlink || fail=1
+chgrp -h $g2 symlink || fail=1
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
diff --git a/tests/chgrp/posix-H b/tests/chgrp/posix-H
index 1652e595b..59f6533f0 100755
--- a/tests/chgrp/posix-H
+++ b/tests/chgrp/posix-H
@@ -33,7 +33,7 @@ fi
fail=0
-chgrp -HR $g2 1s 2 || fail=1
+chgrp -h -HR $g2 1s 2 || fail=1
# These must have group $g2.
# =========================